Page MenuHomePhabricator

Deploy new page creation log
Closed, ResolvedPublic

Description

  • Beta Labs
  • Test Wikipedia
  • Everywhere else except Wikidata and Commons
  • Switch default in DefaultSettings.php

Event Timeline

kaldari created this task.Jun 4 2018, 7:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2018, 7:07 PM

Change 437299 had a related patch set uploaded (by Kaldari; owner: Kaldari):
[operations/mediawiki-config@master] Deploy page creation log to Test Wikipedia

https://gerrit.wikimedia.org/r/437299

Change 437299 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable page creation log on Test Wikipedia

https://gerrit.wikimedia.org/r/437299

Mentioned in SAL (#wikimedia-operations) [2018-06-04T23:50:14Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:437299|Enable page creation log on Test Wikipedia]] T196400 (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2018-06-04T23:57:52Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:437376|Revert "Enable page creation log on Test Wikipedia"]] T196400 (duration: 00m 49s)

Change 437379 had a related patch set uploaded (by Kaldari; owner: Kaldari):
[operations/mediawiki-config@master] Testing page creation log on Beta Labs

https://gerrit.wikimedia.org/r/437379

Nirmos added a subscriber: Nirmos.Jun 5 2018, 2:22 AM
kaldari updated the task description. (Show Details)Jun 5 2018, 11:11 PM

Change 437379 merged by jenkins-bot:
[operations/mediawiki-config@master] Testing page creation log on Beta Labs

https://gerrit.wikimedia.org/r/437379

kaldari updated the task description. (Show Details)Jun 8 2018, 6:31 AM

It's working on Beta Labs: https://simple.wikipedia.beta.wmflabs.org/wiki/Special:Log/create.

Strangely, it didn't work for the first day that the new code was deployed to the Beta Cluster, but later it just started working on it's own. Weird.

Change 440393 had a related patch set uploaded (by Valerie; owner: kaldari):
[operations/mediawiki-config@master] Turn on Page Creation Logging on Test Wiki

https://gerrit.wikimedia.org/r/440393

Change 440393 merged by jenkins-bot:
[operations/mediawiki-config@master] Turn on Page Creation Logging on Test Wiki

https://gerrit.wikimedia.org/r/440393

Mentioned in SAL (#wikimedia-operations) [2018-06-14T23:12:38Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T196400 for SWAT (duration: 01m 00s)

kaldari updated the task description. (Show Details)Jun 15 2018, 12:16 AM
kaldari removed a project: Wikimedia-Site-requests.

Change 442356 had a related patch set uploaded (by Valerie; owner: kaldari):
[operations/mediawiki-config@master] Turning on page creation log for all other wikis

https://gerrit.wikimedia.org/r/442356

Change 442356 merged by jenkins-bot:
[operations/mediawiki-config@master] Turning on page creation log for most wikis

https://gerrit.wikimedia.org/r/442356

Mentioned in SAL (#wikimedia-operations) [2018-06-27T23:10:02Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:442356|Turning on page creation log for most wikis]] T196400 (duration: 00m 58s)

kaldari updated the task description. (Show Details)Jun 28 2018, 12:01 AM
Vvjjkkii renamed this task from Deploy new page creation log to rnbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed kaldari as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.

Change 443299 had a related patch set uploaded (by Valerie; owner: kaldari):
[mediawiki/core@master] Changing the default for $wgPageCreationLog to true

https://gerrit.wikimedia.org/r/443299

JJMC89 renamed this task from rnbaaaaaaa to Deploy new page creation log.Jul 1 2018, 5:40 AM
JJMC89 assigned this task to kaldari.
JJMC89 raised the priority of this task from High to Needs Triage.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.

Change 443299 merged by jenkins-bot:
[mediawiki/core@master] Changing the default for $wgPageCreationLog to true

https://gerrit.wikimedia.org/r/443299

kaldari closed this task as Resolved.Jul 6 2018, 2:35 AM
kaldari updated the task description. (Show Details)